Create
curl --request POST \
--url https://{defaultHost}/v1/warehouses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"warehouse": {
"label": "Main Warehouse",
"contact": {
"name": "SureCart",
"email": "warehouse@surecart.com",
"phone": "555-0100",
"address": {
"name": "SureCart",
"line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "US"
}
}
}
}
'import requests
url = "https://{defaultHost}/v1/warehouses"
payload = { "warehouse": {
"label": "Main Warehouse",
"contact": {
"name": "SureCart",
"email": "warehouse@surecart.com",
"phone": "555-0100",
"address": {
"name": "SureCart",
"line_1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "US"
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
warehouse: {
label: 'Main Warehouse',
contact: {
name: 'SureCart',
email: 'warehouse@surecart.com',
phone: '555-0100',
address: {
name: 'SureCart',
line_1: '123 Main St',
city: 'San Francisco',
state: 'CA',
postal_code: '94105',
country: 'US'
}
}
}
})
};
fetch('https://{defaultHost}/v1/warehouses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "32d69afb-45d8-4d45-9dcc-f397b531e30e",
"object": "warehouse",
"label": "Main Warehouse",
"default": false,
"contact": "01dc1ac0-d217-416e-9057-39b8b50a08de",
"created_at": 1782485918,
"updated_at": 1782485918
}Warehouses
Create
Creates a new warehouse.
POST
/
v1
/
warehouses
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The label for this warehouse.
Whether or not this warehouse is the account's default.
Expandable – The associated contact ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I